package com.bizzan.bitrade.constant;

import com.bizzan.bitrade.core.BaseEnum;
import com.fasterxml.jackson.annotation.JsonValue;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

/**
 * @author 
 * @description 通知类型
 * @date 2019/12/25 17:03
 */
@AllArgsConstructor
@Getter
public enum NotifyType implements BaseEnum{
    LOGIN( "登录提醒"),
    RECHARGE("充值成功"),
    WITHDRAW("提币到账提醒"),
    CUT("止盈止损"),
    BLAST("全仓仓位强平通知"),
    LOGIN_VALIDATE("登录安全验证"),
    WITHDRAW_VALIDATE("提币安全验证"),
    TRANSFER_VALIDATE("转账安全验证"),
    CUT_LOSS("永续合约止损触发提醒"),
    CUT_PROFIT("永续合约止盈触发提醒"),
    AGENT_VALIDATE("经纪商安全验证"),
    UPDATE_PASSWORD_VALIDATE("修改密码安全验证"),
    BLAST_ALARM("全仓仓位强平预警"),
    FOLLOW_BLAST("跟单仓位强平通知"),
    FOLLOW_BLAST_ALARM("跟单仓位强平预警"),
    POSITION_BLAST("逐仓仓位强平通知");

    @Setter
    private String cnName;

    @Override
    @JsonValue
    public int getOrdinal(){
        return this.ordinal();
    }


}
